Skip to main content
GET
Get Monitor

Authorizations

Authorization
string
header
required

Use the 'Authorization' header with the format 'Key '

Path Parameters

id
integer
required

The unique identifier of the monitor.

Response

Successful Response

created_at
string<date-time>
required

Timestamp when the monitor was created.

enabled
boolean
required

Indicates whether the monitor is enabled.

id
integer
required

Unique identifier for the monitor.

modified_at
string<date-time>
required

Timestamp when the monitor was last modified.

monitor_type
enum<string> | null
required

Type of the monitor.

Available options:
diff,
metric,
schema,
test
name
string | null
required

Name of the monitor.

schedule
Interval · object
required

The schedule at which the monitor runs.

alert
Diff Conditions · object

Condition for triggering alerts based on the data diff.

dataset
MonitorDataset · object[]

Dataset configuration for the monitor.

description
string | null

The description of the monitor.

last_alert
string<date-time> | null

Timestamp of the last alert.

last_run
string<date-time> | null

Timestamp of the last monitor run.

notifications
(Email · object | PagerDuty · object | Webhook · object | Slack · object | Teams · object)[]

Notification configuration for the monitor.

owner
string | null

Email of the monitor owner.

state
enum<string> | null

Current state of the monitor run.

Available options:
ok,
alert,
error,
learning,
checking,
created,
skipped,
cancelled,
queued
tags
string[] | null

Tags associated with the monitor.